<?php
# Date: 15.03.2021 (21:53)

namespace Battles;

use Battles\Database\Db;

class Check
{
    private User $user;
    private Db $db;

    /**
     * Check constructor.
     *
     * @param User $user
     */
    public function __construct(User $user, Db $db)
    {
        $this->user = $user;
        $this->db = $db;
    }

    public function Effects()
    {
        return $this->db->execute('delete from users_effects where remaining_time <= ?', strtotime('now'));
    }
}